#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 9. General Libraries

- Prev

  libxmlb-0.3.21

- Next

  libwacom-2.14.0

- Up
- Home

# libxslt-1.1.42

## Introduction to libxslt

The libxslt package contains XSLT libraries used for extending `libxml2` libraries to support XSLT files.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/libxslt/1.1/libxslt-1.1.42.tar.xz

- Download MD5 sum: 56bc5d89aa39d62002961c150fec08a0

- Download size: 1.6 MB

- Estimated disk space required: 34 MB (with tests)

- Estimated build time: 0.1 SBU (with tests)

### libxslt Dependencies

#### Required

libxml2-2.13.6

#### Recommended (at runtime)

docbook-xml-4.5 and docbook-xsl-nons-1.79.2

### Note

Although it is not a direct dependency, many applications using libxslt will expect docbook-xml-4.5 and docbook-xsl-nons-1.79.2 to be present.

#### Optional

libgcrypt-1.11.0

## Installation of libxslt

Install libxslt by running the following commands:

    ./configure --prefix=/usr                          \
                --disable-static                       \
                --docdir=/usr/share/doc/libxslt-1.1.42 &&
    make

To test the results, issue: make check.

Now, as the `root` user:

    make install

## Command Explanations

`--disable-static`: This switch prevents installation of static versions of the libraries.

## Contents

Installed Programs: xslt-config and xsltproc
Installed Libraries: libexslt.so, libxslt.so and optionally, libxsltmod.so Python module
Installed Directories: /usr/include/libexslt, /usr/include/libxslt, /usr/lib/cmake/libxslt, /usr/lib/libxslt-plugins, /usr/share/gtk-doc/lib{xslt,exslt}, /usr/share/doc/libxslt-1.1.42, and /usr/share/doc/libxslt-python-1.1.42

### Short Descriptions

xslt-config | is used to find out the pre-processor, linking and compiling flags necessary to use the libxslt libraries in 3rd-party programs
xsltproc | is used to apply XSLT stylesheets to XML documents
`libexslt.so` | is used to provide extensions to XSLT functions
`libxslt.so` | provides extensions to the `libxml2` libraries to parse files that use the XSLT format

- Prev

  libxmlb-0.3.21

- Next

  libwacom-2.14.0

- Up
- Home